--- title: "Get policy log" slug: "policy-log" tags: ["Media", "Click Multi DRM"] updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/policy-log" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get policy log Available in Classic and VPC Get event logs of a DRM policy. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/policy/policyLog | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 1-100 | | `policyId` | Integer | Required | DRM policy ID - See [Get policy list](/docs/en/drm-policy-list) | | `startTime` | Integer | Optional | Query start date and time (millisecond) - Unix timestamp format | | `endTime` | Integer | Optional | Query end date and time (millisecond) - Unix timestamp format | ### Request headers For information about the headers common to all One Click Multi DRM APIs, see [One Click Multi DRM request headers](/docs/en/one-click-multi-drm-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://multi-drm.apigw.ntruss.com/api/v1/policy/policyLog?pageNo=1&pageSize=100&policyId=0&startTime=1756968701258&endTime=1756973541596' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result - `true` \| `false` - `true`: Succeeded - `false`: Failed | | `content` | Array | - | Log list: [content](/docs/en/policy-log#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyId` | Integer | - | Policy ID | | `description` | String | - | Event description | | `timestamp` | Integer | - | Event occurrence date and time (millisecond) - Unix timestamp format | ### Response status codes For information about the response status codes common to all One Click Multi DRM APIs, see [One Click Multi DRM response status codes](/docs/en/one-click-multi-drm-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "content": [ { "policyId": 0, "description": "Policy 0 - myPolicy update completed", "timestamp": 1756968701258 }, { "policyId": 0, "description": "Policy 0 - myPolicy update completed", "timestamp": 1756973541596 } ], "total": 2 } ```